/*===========================================================================*/
/*   (Jvm/constr.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/constr.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_constrz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_constrz00();
static obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
static obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl__jvmzd2constructorszd2zzjvm_constrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_constrz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00();
static obj_t __cnst[ 15 ] ;


DEFINE_STRING( BGl_string3699z00zzjvm_constrz00, BgL_bgl_string3699za700za7za7jvm_constrza7003728z00, "A", 1 );
DEFINE_STRING( BGl_string3698z00zzjvm_constrz00, BgL_bgl_string3698za700za7za7jvm_constrza7003729z00, "<init>", 6 );
DEFINE_STRING( BGl_string3697z00zzjvm_constrz00, BgL_bgl_string3697za700za7za7jvm_constrza7003730z00, "sinit", 5 );
DEFINE_STRING( BGl_string3696z00zzjvm_constrz00, BgL_bgl_string3696za700za7za7jvm_constrza7003731z00, "init", 4 );
DEFINE_STRING( BGl_string3701z00zzjvm_constrz00, BgL_bgl_string3701za700za7za7jvm_constrza7003732z00, "__the_module_name__ putstatic ldc static clinit return invokespecial iload aload this void public method (int int int) (int int) ", 129 );
DEFINE_STRING( BGl_string3700z00zzjvm_constrz00, BgL_bgl_string3700za700za7za7jvm_constrza7003733z00, "<clinit>", 8 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2constructorszd2envz00zzjvm_constrz00, BgL_bgl__jvmza7d2constructorsza7d2za7za7jvm_constrza7003734za7, BGl__jvmzd2constructorszd2zzjvm_constrz00, 0L, 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long BgL_checksumz00_1377, char * BgL_fromz00_1378)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_constrz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_constrz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_constrz00(); 
BGl_cnstzd2initzd2zzjvm_constrz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_constrz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_constr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 1 */
{ /* ./Jvm/constr.scm 1 */
obj_t BgL_cportz00_1370;
BgL_cportz00_1370 = 
open_input_string(BGl_string3701z00zzjvm_constrz00); 
{ 
long BgL_iz00_1371;
BgL_iz00_1371 = ((long)14); 
BgL_loopz00_1372:
{ /* ./Jvm/constr.scm 1 */
bool_t BgL_test3703z00_1373;
BgL_test3703z00_1373 = 
(BgL_iz00_1371==((long)-1)); 
if(BgL_test3703z00_1373)
{ /* ./Jvm/constr.scm 1 */
return BUNSPEC;}  else 
{ /* ./Jvm/constr.scm 1 */
{ /* ./Jvm/constr.scm 1 */
obj_t BgL_arg3705z00_1374;
{ /* ./Jvm/constr.scm 1 */
obj_t BgL_list3708z00_1375;
BgL_list3708z00_1375 = 
MAKE_PAIR(BgL_cportz00_1370, BNIL); 
BgL_arg3705z00_1374 = 
BGl_readz00zz__readerz00(BgL_list3708z00_1375); } 
{ /* ./Jvm/constr.scm 1 */
int BgL_auxz00_1394;
BgL_auxz00_1394 = 
(int)(BgL_iz00_1371); 
CNST_TABLE_SET(BgL_auxz00_1394, BgL_arg3705z00_1374); } } 
{ /* ./Jvm/constr.scm 1 */
int BgL_auxz00_1376;
{ /* ./Jvm/constr.scm 1 */
long BgL_auxz00_1397;
BgL_auxz00_1397 = 
(BgL_iz00_1371-((long)1)); 
BgL_auxz00_1376 = 
(int)(BgL_auxz00_1397); } 
{ 
long BgL_iz00_1400;
BgL_iz00_1400 = 
(long)(BgL_auxz00_1376); 
BgL_iz00_1371 = BgL_iz00_1400; 
goto BgL_loopz00_1372;} } } } } } } 
}



/* jvm-constructors */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 11 */
{ /* ./Jvm/constr.scm 12 */
obj_t BgL_arg3051z00_797;obj_t BgL_arg3052z00_798;obj_t BgL_arg3053z00_799;obj_t BgL_arg3054z00_800;
BgL_arg3051z00_797 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BNIL); 
BgL_arg3052z00_798 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)0))); 
BgL_arg3053z00_799 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)1))); 
BgL_arg3054z00_800 = 
BGl_clinitz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2); 
{ /* ./Jvm/constr.scm 12 */
obj_t BgL_list3056z00_801;
{ /* ./Jvm/constr.scm 12 */
obj_t BgL_arg3058z00_802;
{ /* ./Jvm/constr.scm 12 */
obj_t BgL_arg3061z00_803;
{ /* ./Jvm/constr.scm 12 */
obj_t BgL_arg3064z00_804;
BgL_arg3064z00_804 = 
MAKE_PAIR(BgL_arg3054z00_800, BNIL); 
BgL_arg3061z00_803 = 
MAKE_PAIR(BgL_arg3053z00_799, BgL_arg3064z00_804); } 
BgL_arg3058z00_802 = 
MAKE_PAIR(BgL_arg3052z00_798, BgL_arg3061z00_803); } 
BgL_list3056z00_801 = 
MAKE_PAIR(BgL_arg3051z00_797, BgL_arg3058z00_802); } 
return BgL_list3056z00_801;} } } 
}



/* _jvm-constructors */
obj_t BGl__jvmzd2constructorszd2zzjvm_constrz00(obj_t BgL_envz00_1366, obj_t BgL_envz00_1367, obj_t BgL_mez00_1368, obj_t BgL_superz00_1369)
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 11 */
return 
BGl_jvmzd2constructorszd2zzjvm_constrz00(
(BgL_envz00_bglt)(BgL_envz00_1367), BgL_mez00_1368, BgL_superz00_1369);} 
}



/* constr */
obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, obj_t BgL_argsz00_7)
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 20 */
{ /* ./Jvm/constr.scm 23 */
obj_t BgL_initz00_806;obj_t BgL_sinitz00_807;
{ /* ./Jvm/constr.scm 23 */
obj_t BgL_arg3213z00_1325;
{ /* ./Jvm/constr.scm 23 */
obj_t BgL_arg3216z00_1326;
BgL_arg3216z00_1326 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3213z00_1325 = 
string_append(BGl_string3696z00zzjvm_constrz00, BgL_arg3216z00_1326); } 
{ /* ./Jvm/constr.scm 23 */
char * BgL_auxz00_1417;
BgL_auxz00_1417 = 
BSTRING_TO_STRING(BgL_arg3213z00_1325); 
BgL_initz00_806 = 
string_to_symbol(BgL_auxz00_1417); } } 
{ /* ./Jvm/constr.scm 23 */
obj_t BgL_arg3213z00_1332;
{ /* ./Jvm/constr.scm 23 */
obj_t BgL_arg3216z00_1333;
BgL_arg3216z00_1333 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3213z00_1332 = 
string_append(BGl_string3697z00zzjvm_constrz00, BgL_arg3216z00_1333); } 
{ /* ./Jvm/constr.scm 23 */
char * BgL_auxz00_1423;
BgL_auxz00_1423 = 
BSTRING_TO_STRING(BgL_arg3213z00_1332); 
BgL_sinitz00_807 = 
string_to_symbol(BgL_auxz00_1423); } } 
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3072z00_808;
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3075z00_809;obj_t BgL_arg3076z00_810;
BgL_arg3075z00_809 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3079z00_811;
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3082z00_812;obj_t BgL_arg3083z00_813;
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_auxz00_1427;
BgL_auxz00_1427 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3082z00_812 = 
MAKE_PAIR(BgL_auxz00_1427, BNIL); } 
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3087z00_814;obj_t BgL_arg3088z00_815;
BgL_arg3087z00_814 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/constr.scm 24 */
obj_t BgL_arg3092z00_817;
BgL_arg3092z00_817 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg3088z00_815 = 
MAKE_PAIR(BGl_string3698z00zzjvm_constrz00, BgL_arg3092z00_817); } 
BgL_arg3083z00_813 = 
MAKE_PAIR(BgL_arg3087z00_814, BgL_arg3088z00_815); } 
BgL_arg3079z00_811 = 
MAKE_PAIR(BgL_arg3082z00_812, BgL_arg3083z00_813); } 
BgL_arg3076z00_810 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg3079z00_811); } 
BgL_arg3072z00_808 = 
MAKE_PAIR(BgL_arg3075z00_809, BgL_arg3076z00_810); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_initz00_806, BgL_arg3072z00_808); } 
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3096z00_818;
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3099z00_819;obj_t BgL_arg3100z00_820;
BgL_arg3099z00_819 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3103z00_821;
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3106z00_822;obj_t BgL_arg3107z00_823;
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_auxz00_1439;
BgL_auxz00_1439 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3106z00_822 = 
MAKE_PAIR(BgL_auxz00_1439, BNIL); } 
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3111z00_824;obj_t BgL_arg3112z00_825;
BgL_arg3111z00_824 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/constr.scm 25 */
obj_t BgL_arg3116z00_827;
BgL_arg3116z00_827 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg3112z00_825 = 
MAKE_PAIR(BGl_string3698z00zzjvm_constrz00, BgL_arg3116z00_827); } 
BgL_arg3107z00_823 = 
MAKE_PAIR(BgL_arg3111z00_824, BgL_arg3112z00_825); } 
BgL_arg3103z00_821 = 
MAKE_PAIR(BgL_arg3106z00_822, BgL_arg3107z00_823); } 
BgL_arg3100z00_820 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg3103z00_821); } 
BgL_arg3096z00_818 = 
MAKE_PAIR(BgL_arg3099z00_819, BgL_arg3100z00_820); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_sinitz00_807, BgL_arg3096z00_818); } 
{ /* ./Jvm/constr.scm 26 */
obj_t BgL_paramsz00_828;
{ /* ./Jvm/constr.scm 26 */
bool_t BgL_test3189z00_865;
BgL_test3189z00_865 = 
NULLP(BgL_argsz00_7); 
if(BgL_test3189z00_865)
{ /* ./Jvm/constr.scm 26 */
BgL_paramsz00_828 = BNIL; }  else 
{ /* ./Jvm/constr.scm 26 */
obj_t BgL_head3042z00_866;
BgL_head3042z00_866 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3040z00_867;obj_t BgL_tail3043z00_868;
BgL_l3040z00_867 = BgL_argsz00_7; 
BgL_tail3043z00_868 = BgL_head3042z00_866; 
BgL_map3041z00_869:
{ /* ./Jvm/constr.scm 26 */
bool_t BgL_test3191z00_870;
BgL_test3191z00_870 = 
NULLP(BgL_l3040z00_867); 
if(BgL_test3191z00_870)
{ /* ./Jvm/constr.scm 26 */
BgL_paramsz00_828 = 
CDR(BgL_head3042z00_866); }  else 
{ /* ./Jvm/constr.scm 26 */
obj_t BgL_newtail3044z00_871;
{ /* ./Jvm/constr.scm 26 */
obj_t BgL_arg3199z00_873;
BgL_arg3199z00_873 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3699z00zzjvm_constrz00, BEOA); 
BgL_newtail3044z00_871 = 
MAKE_PAIR(BgL_arg3199z00_873, BNIL); } 
SET_CDR(BgL_tail3043z00_868, BgL_newtail3044z00_871); 
{ /* ./Jvm/constr.scm 26 */
obj_t BgL_arg3195z00_872;
BgL_arg3195z00_872 = 
CDR(BgL_l3040z00_867); 
{ 
obj_t BgL_tail3043z00_1462;obj_t BgL_l3040z00_1461;
BgL_l3040z00_1461 = BgL_arg3195z00_872; 
BgL_tail3043z00_1462 = BgL_newtail3044z00_871; 
BgL_tail3043z00_868 = BgL_tail3043z00_1462; 
BgL_l3040z00_867 = BgL_l3040z00_1461; 
goto BgL_map3041z00_869;} } } } } } } 
{ /* ./Jvm/constr.scm 27 */
obj_t BgL_arg3120z00_829;obj_t BgL_arg3121z00_830;
BgL_arg3120z00_829 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/constr.scm 27 */
obj_t BgL_arg3124z00_831;
{ /* ./Jvm/constr.scm 27 */
obj_t BgL_arg3128z00_832;obj_t BgL_arg3129z00_833;
{ /* ./Jvm/constr.scm 27 */
obj_t BgL_arg3132z00_834;obj_t BgL_arg3133z00_835;
BgL_arg3132z00_834 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3133z00_835 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_828, BNIL); 
BgL_arg3128z00_832 = 
MAKE_PAIR(BgL_arg3132z00_834, BgL_arg3133z00_835); } 
{ /* ./Jvm/constr.scm 27 */
obj_t BgL_arg3138z00_837;
{ /* ./Jvm/constr.scm 28 */
obj_t BgL_arg3141z00_838;obj_t BgL_arg3142z00_839;
{ /* ./Jvm/constr.scm 28 */
obj_t BgL_arg3145z00_840;obj_t BgL_arg3146z00_841;
BgL_arg3145z00_840 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Jvm/constr.scm 28 */
obj_t BgL_auxz00_1468;
BgL_auxz00_1468 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3146z00_841 = 
MAKE_PAIR(BgL_auxz00_1468, BNIL); } 
BgL_arg3141z00_838 = 
MAKE_PAIR(BgL_arg3145z00_840, BgL_arg3146z00_841); } 
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_arg3150z00_842;obj_t BgL_arg3151z00_843;
{ /* ./Jvm/constr.scm 29 */
bool_t BgL_test3153z00_845;
BgL_test3153z00_845 = 
NULLP(BgL_paramsz00_828); 
if(BgL_test3153z00_845)
{ /* ./Jvm/constr.scm 29 */
BgL_arg3150z00_842 = BNIL; }  else 
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_head3047z00_846;
BgL_head3047z00_846 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3045z00_847;obj_t BgL_tail3048z00_848;
BgL_l3045z00_847 = BgL_paramsz00_828; 
BgL_tail3048z00_848 = BgL_head3047z00_846; 
BgL_map3046z00_849:
{ /* ./Jvm/constr.scm 29 */
bool_t BgL_test3155z00_850;
BgL_test3155z00_850 = 
NULLP(BgL_l3045z00_847); 
if(BgL_test3155z00_850)
{ /* ./Jvm/constr.scm 29 */
BgL_arg3150z00_842 = 
CDR(BgL_head3047z00_846); }  else 
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_newtail3049z00_851;
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_arg3163z00_853;
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_pz00_855;
BgL_pz00_855 = 
CAR(BgL_l3045z00_847); 
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_arg3167z00_856;obj_t BgL_arg3168z00_857;
BgL_arg3167z00_856 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3168z00_857 = 
MAKE_PAIR(BgL_pz00_855, BNIL); 
BgL_arg3163z00_853 = 
MAKE_PAIR(BgL_arg3167z00_856, BgL_arg3168z00_857); } } 
BgL_newtail3049z00_851 = 
MAKE_PAIR(BgL_arg3163z00_853, BNIL); } 
SET_CDR(BgL_tail3048z00_848, BgL_newtail3049z00_851); 
{ /* ./Jvm/constr.scm 29 */
obj_t BgL_arg3159z00_852;
BgL_arg3159z00_852 = 
CDR(BgL_l3045z00_847); 
{ 
obj_t BgL_tail3048z00_1486;obj_t BgL_l3045z00_1485;
BgL_l3045z00_1485 = BgL_arg3159z00_852; 
BgL_tail3048z00_1486 = BgL_newtail3049z00_851; 
BgL_tail3048z00_848 = BgL_tail3048z00_1486; 
BgL_l3045z00_847 = BgL_l3045z00_1485; 
goto BgL_map3046z00_849;} } } } } } } 
{ /* ./Jvm/constr.scm 30 */
obj_t BgL_arg3176z00_858;obj_t BgL_arg3177z00_859;
{ /* ./Jvm/constr.scm 30 */
obj_t BgL_arg3180z00_860;obj_t BgL_arg3181z00_861;
BgL_arg3180z00_860 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3181z00_861 = 
MAKE_PAIR(BgL_sinitz00_807, BNIL); 
BgL_arg3176z00_858 = 
MAKE_PAIR(BgL_arg3180z00_860, BgL_arg3181z00_861); } 
{ /* ./Jvm/constr.scm 31 */
obj_t BgL_arg3185z00_862;
{ /* ./Jvm/constr.scm 31 */
obj_t BgL_auxz00_1490;
BgL_auxz00_1490 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3185z00_862 = 
MAKE_PAIR(BgL_auxz00_1490, BNIL); } 
BgL_arg3177z00_859 = 
MAKE_PAIR(BgL_arg3185z00_862, BNIL); } 
BgL_arg3151z00_843 = 
MAKE_PAIR(BgL_arg3176z00_858, BgL_arg3177z00_859); } 
BgL_arg3142z00_839 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3150z00_842, BgL_arg3151z00_843); } 
BgL_arg3138z00_837 = 
MAKE_PAIR(BgL_arg3141z00_838, BgL_arg3142z00_839); } 
BgL_arg3129z00_833 = 
MAKE_PAIR(BNIL, BgL_arg3138z00_837); } 
BgL_arg3124z00_831 = 
MAKE_PAIR(BgL_arg3128z00_832, BgL_arg3129z00_833); } 
BgL_arg3121z00_830 = 
MAKE_PAIR(BgL_initz00_806, BgL_arg3124z00_831); } 
return 
MAKE_PAIR(BgL_arg3120z00_829, BgL_arg3121z00_830);} } } } 
}



/* clinit */
obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_8, obj_t BgL_mez00_9)
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 36 */
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3224z00_884;obj_t BgL_arg3225z00_885;
BgL_arg3224z00_884 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3228z00_886;obj_t BgL_arg3229z00_887;
BgL_arg3228z00_886 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3232z00_888;
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3235z00_889;obj_t BgL_arg3236z00_890;
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3239z00_891;obj_t BgL_arg3240z00_892;
BgL_arg3239z00_891 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_auxz00_1504;
BgL_auxz00_1504 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg3240z00_892 = 
MAKE_PAIR(BgL_auxz00_1504, BNIL); } 
BgL_arg3235z00_889 = 
MAKE_PAIR(BgL_arg3239z00_891, BgL_arg3240z00_892); } 
{ /* ./Jvm/constr.scm 37 */
obj_t BgL_arg3245z00_893;obj_t BgL_arg3246z00_894;
BgL_arg3245z00_893 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3246z00_894 = 
MAKE_PAIR(BGl_string3700z00zzjvm_constrz00, BNIL); 
BgL_arg3236z00_890 = 
MAKE_PAIR(BgL_arg3245z00_893, BgL_arg3246z00_894); } 
BgL_arg3232z00_888 = 
MAKE_PAIR(BgL_arg3235z00_889, BgL_arg3236z00_890); } 
BgL_arg3229z00_887 = 
MAKE_PAIR(BgL_mez00_9, BgL_arg3232z00_888); } 
BgL_arg3225z00_885 = 
MAKE_PAIR(BgL_arg3228z00_886, BgL_arg3229z00_887); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_8, BgL_arg3224z00_884, BgL_arg3225z00_885); } 
{ /* ./Jvm/constr.scm 46 */
obj_t BgL_arg3250z00_895;obj_t BgL_arg3251z00_896;
BgL_arg3250z00_895 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/constr.scm 46 */
obj_t BgL_arg3254z00_897;obj_t BgL_arg3255z00_898;
BgL_arg3254z00_897 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/constr.scm 46 */
obj_t BgL_arg3260z00_900;
{ /* ./Jvm/constr.scm 46 */
obj_t BgL_arg3264z00_902;
{ /* ./Jvm/constr.scm 49 */
obj_t BgL_arg3267z00_903;obj_t BgL_arg3268z00_904;
{ /* ./Jvm/constr.scm 49 */
obj_t BgL_arg3272z00_905;obj_t BgL_arg3273z00_906;
BgL_arg3272z00_905 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Jvm/constr.scm 49 */
obj_t BgL_arg3276z00_907;
{ /* ./Jvm/constr.scm 49 */
obj_t BgL_symbolz00_1364;
BgL_symbolz00_1364 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg3276z00_907 = 
SYMBOL_TO_STRING(BgL_symbolz00_1364); } 
BgL_arg3273z00_906 = 
MAKE_PAIR(BgL_arg3276z00_907, BNIL); } 
BgL_arg3267z00_903 = 
MAKE_PAIR(BgL_arg3272z00_905, BgL_arg3273z00_906); } 
{ /* ./Jvm/constr.scm 50 */
obj_t BgL_arg3281z00_909;obj_t BgL_arg3282z00_910;
{ /* ./Jvm/constr.scm 50 */
obj_t BgL_arg3285z00_911;obj_t BgL_arg3286z00_912;
BgL_arg3285z00_911 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Jvm/constr.scm 50 */
obj_t BgL_auxz00_1522;
BgL_auxz00_1522 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3286z00_912 = 
MAKE_PAIR(BgL_auxz00_1522, BNIL); } 
BgL_arg3281z00_909 = 
MAKE_PAIR(BgL_arg3285z00_911, BgL_arg3286z00_912); } 
{ /* ./Jvm/constr.scm 51 */
obj_t BgL_arg3290z00_913;obj_t BgL_arg3291z00_914;
{ /* ./Jvm/constr.scm 51 */
obj_t BgL_arg3294z00_915;
BgL_arg3294z00_915 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_8))->BgL_clinitzd2codezd2); 
BgL_arg3290z00_913 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3294z00_915); } 
{ /* ./Jvm/constr.scm 58 */
obj_t BgL_arg3298z00_916;
{ /* ./Jvm/constr.scm 58 */
obj_t BgL_auxz00_1528;
BgL_auxz00_1528 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3298z00_916 = 
MAKE_PAIR(BgL_auxz00_1528, BNIL); } 
BgL_arg3291z00_914 = 
MAKE_PAIR(BgL_arg3298z00_916, BNIL); } 
BgL_arg3282z00_910 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3290z00_913, BgL_arg3291z00_914); } 
BgL_arg3268z00_904 = 
MAKE_PAIR(BgL_arg3281z00_909, BgL_arg3282z00_910); } 
BgL_arg3264z00_902 = 
MAKE_PAIR(BgL_arg3267z00_903, BgL_arg3268z00_904); } 
BgL_arg3260z00_900 = 
MAKE_PAIR(BNIL, BgL_arg3264z00_902); } 
BgL_arg3255z00_898 = 
MAKE_PAIR(BNIL, BgL_arg3260z00_900); } 
BgL_arg3251z00_896 = 
MAKE_PAIR(BgL_arg3254z00_897, BgL_arg3255z00_898); } 
return 
MAKE_PAIR(BgL_arg3250z00_895, BgL_arg3251z00_896);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* ./Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)3672), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_constr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_constr");} 
}

